FurDryOverride = {};

FurDryOverride.patched = false;

FurDryOverride.onGameStart = function()
    if FurDryOverride.patched then return end;

    local originalUpdateMethod = ISDryMyself.update;

    ISDryMyself.update = function(self)
        print('Override ISDryMyself.update');
        local furClothing = FurManager.getPlayerWornFur(self.character);
        if furClothing == nil then
            print('Using original ISDryMyself.update');
            return originalUpdateMethod(self);
        end

        -- Perform base drying
        local wetnessBeforeUpdate = self.character:getBodyDamage():getWetness();
        local result = originalUpdateMethod(self);
        local wetnessAfterUpdate = self.character:getBodyDamage():getWetness();

        -- Detect that the base drying updated the body wetness and decrease fur wetness too
        if wetnessBeforeUpdate ~= wetnessAfterUpdate and self.tick == 0 then
            print('Drying player fur...');
            furClothing:setWetness( wetnessAfterUpdate );
            sendClothing(self.character);
        end
        return result;
    end

    FurDryOverride.patched = true;
end

Events.OnGameStart.Add(FurDryOverride.onGameStart);