FurWashOverride = {};

FurWashOverride.patched = false;

FurWashOverride.onGameStart = function()
    if FurWashOverride.patched then return end;

    local originalPerformMethod = ISWashYourself.perform;

    ISWashYourself.perform = function(self)
        print('Override ISWashYourself.perform');
        local furClothing = FurManager.getPlayerWornFur(self.character);
        if furClothing == nil then
            print('Using original ISWashYourself.perform');
            return originalPerformMethod(self);
        end

        -- Clean fur
        print('Washing fur...');
        local coveredParts = BloodClothingType.getCoveredParts(furClothing:getBloodClothingType());
        for j = 0, coveredParts:size() - 1 do
            local clothingPart = coveredParts:get(j);
            furClothing:setBlood(clothingPart, 0);
            furClothing:setDirt(clothingPart, 0);
        end
        if furClothing:getWetness() < 50 then
            furClothing:setWetness(50);
        end
        furClothing:setDirtyness(0);
        furClothing:setBloodLevel(0);
        self.character:resetModel();
        sendClothing(self.character);

        -- Wash self
        return originalPerformMethod(self);
    end

    FurWashOverride.patched = true;
end

Events.OnGameStart.Add(FurWashOverride.onGameStart);

