#version 120

uniform sampler2D DIFFUSE;
uniform sampler2D MASK;
uniform float cutoffMin = 0.20;
uniform float cutoffMax = 0.55;

#include "util/math"

void main()
{
    vec2 UV =  gl_TexCoord[0].st;
    vec4 col4 = texture2D(DIFFUSE, UV, 0.0);
    vec4 colmask = texture2D(MASK, UV, 0.0);

    float maska = (colmask.a - cutoffMin) / (cutoffMax - cutoffMin);
    maska = clamp(maska, 0.0, 0.6);
    maska = 1.0 - maska;

    vec3 grayed = col4.xyz * maska;
    gl_FragColor = vec4(grayed, col4.a);
}